JavaScript/jQuery Autocomplete - Keyboard Support

An end user can use the following keys to interact with the UI component.

Key Action
↑ / ↓ Moves focus to the previous/following menu item.
Page Up / Page Down Moves focus to the first/last menu item.
Enter Selects focused menu item.
Esc Closes the drop-down menu.

You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.

JavaScript
  • function registerKeyHandlers () {
  • const autocomplete = $("#autocompleteContainer").dxAutocomplete("instance");
  • autocomplete.registerKeyHandler("backspace", function(e) {
  • // The argument "e" contains information on the event
  • });
  • autocomplete.registerKeyHandler("space", function(e) {
  • // ...
  • });
  • }
See Also

React Autocomplete - Keyboard Support

An end user can use the following keys to interact with the UI component.

Key Action
↑ / ↓ Moves focus to the previous/following menu item.
Page Up / Page Down Moves focus to the first/last menu item.
Enter Selects focused menu item.
Esc Closes the drop-down menu.

You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Autocomplete } from 'devextreme-react/autocomplete';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.autocompleteRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <Autocomplete ref={this.autocompleteRef} />
  • );
  • }
  •  
  • get autocomplete() {
  • return this.autocompleteRef.current.instance;
  • }
  •  
  • componentDidMount() {
  • this.autocomplete.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.autocomplete.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;
See Also